package cn.iocoder.yudao.module.expense.dal.mysql.expenseinfo;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.expense.dal.dataobject.expenseinfo.ExpenseInfoObjDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 报销信息子 Mapper
 *
 * @author dp
 */
@Mapper
public interface ExpenseInfoObjMapper extends BaseMapperX<ExpenseInfoObjDO> {

    default List<ExpenseInfoObjDO> selectListByExpenseId(Long expenseId) {
        return selectList(ExpenseInfoObjDO::getExpenseId, expenseId);
    }

    default int deleteByExpenseId(Long expenseId) {
        return delete(ExpenseInfoObjDO::getExpenseId, expenseId);
    }

}